snd_pcm_hw_rule_add
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_hw_rule_add — add the hw-constraint rule

## Synopsis

`int snd_pcm_hw_rule_add (` | struct snd_pcm_runtime * | runtime,
| unsigned int | cond,
| int | var,
| snd_pcm_hw_rule_func_t | func,
| void * | private,
| int | dep,
|  | ...`)`;

## Arguments

`runtime`

  the pcm runtime instance

`cond`

  condition bits

`var`

  the variable to evaluate

`func`

  the evaluation function

`private`

  the private data pointer passed to function

`dep`

  the dependent variables

`...`

  variable arguments

## Description

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_interval_list | Home | snd_pcm_hw_constraint_integer